## org.gnu.gtk
Class EventBox

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.EventBox

public class EventBox
extends Bin

The EventBox widget is a container with a seethrough window that can recieve events for the container widget - normally one that cannot recvieve its own. Events are sent to the windows, so a widget without windows cannot recieve events.

Constructor Summary
`EventBox()` Construct a new EventBox object.

Method Summary
`boolean` `getAboveChild()` Returns whether the EventBox is above the window of its' child.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`boolean` `getWindowVisible()` Returns whether the EventBox has a visible window
`void` `setAboveChild(boolean aboveChild)` Returns whether the EventBox is above or below the windows of its' child.
`void` `setWindowVisible(boolean isVisible)` Sets whether the EventBox has a visible window.

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventBox

    public EventBox()

  Construct a new EventBox object.

Method Detail

### setWindowVisible

    public void setWindowVisible(boolean isVisible)

  Sets whether the EventBox has a visible window.

  Parameters:
    `isVisible` -

### getWindowVisible

    public boolean getWindowVisible()

  Returns whether the EventBox has a visible window

  Returns:
    true if the EventBox has a visible window.

### setAboveChild

    public void setAboveChild(boolean aboveChild)

  Returns whether the EventBox is above or below the windows of its' child.

  Parameters:
    `aboveChild` -

### getAboveChild

    public boolean getAboveChild()

  Returns whether the EventBox is above the window of its' child.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.